> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Unstaking Request

> Creates a DRAFT unstaking request for the full amount of the caller's own staking request.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-unstaking-request
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-unstaking-request:
    post:
      operationId: createUnstakingRequest
      summary: Create Unstaking Request
      description: >-
        Creates a DRAFT unstaking request for the full amount of the caller's
        own staking request.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUnstakingRequestRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUnstakingRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateUnstakingRequestRequest:
      type: object
      properties:
        stakingRequestID:
          type: string
          format: uuid
      required:
        - stakingRequestID
    CreateUnstakingRequestResponse:
      type: object
      properties:
        isValid:
          type: boolean
        unstakingRequest:
          type:
            - object
            - 'null'
          properties:
            unstakingRequestID:
              type: string
            stakingRequestID:
              type: string
            unstakingAmount:
              type: string
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            unstakingDate:
              type: string
            createdAt:
              type: string
            updatedAt:
              type: string
            status:
              type: string
              enum:
                - DRAFT
                - PENDING
                - APPROVED
                - REJECTED
                - CANCELLED
                - IN_STAKING
                - UNSTAKE_REQUEST_PLACED
                - STAKING_PERIOD_COMPLETED
                - COMPLETED
            roleInOrgID:
              type: string
          required:
            - unstakingRequestID
            - stakingRequestID
            - unstakingAmount
            - unstakingDate
            - createdAt
            - updatedAt
            - status
            - roleInOrgID
        message:
          type: string
      required:
        - isValid
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
